import { ChangeDetectorRef, Injector } from '@angular/core';
import { AppDefaults } from '@wm/core';
import { BaseDateTimeComponent } from './../base-date-time.component';
import { IMaskDirective } from 'angular-imask';
import * as i0 from "@angular/core";
export declare class DateComponent extends BaseDateTimeComponent {
    private cdRef;
    private appDefaults;
    static initializeProps: void;
    bsDataValue: any;
    showdropdownon: string;
    private dateContainerCls;
    isOpen: boolean;
    private isEnterPressedOnDateInput;
    private _bsDefaultLoadCheck;
    hint: string;
    arialabel: string;
    private deregisterEventListener;
    private isCurrentDate;
    private focusTrap;
    private showdateformatasplaceholder;
    mask: any;
    private maskDateInputFormat;
    get timestamp(): any;
    get dateInputFormat(): string;
    get displayValue(): any;
    get nativeDisplayValue(): any;
    get datavalue(): any;
    set datavalue(newVal: any);
    protected bsDatePickerDirective: any;
    imask: IMaskDirective<any>;
    constructor(inj: Injector, cdRef: ChangeDetectorRef, appDefaults: AppDefaults, explicitContext: any);
    /**
     * This is an internal method triggered when the date input changes
     */
    onDisplayDateChange($event: any, isNativePicker?: boolean): void;
    private setDataValue;
    onDatePickerOpen(): void;
    onInputBlur($event: any): void;
    updateIMask(): void;
    hideDatepickerDropdown(): void;
    protected handleEvent(node: HTMLElement, eventName: string, callback: Function, locals: any): void;
    /**
     * This is an internal method used to toggle the dropdown of the date widget
     */
    toggleDpDropdown($event: any, skipFocus?: boolean): void;
    private addBodyClickListener;
    /**
     * This is an internal method triggered when pressing key on the date input
     */
    onDisplayKeydown(event: any): void;
    /**
     * This is an internal method triggered when the date selection changes
     */
    onDateChange(newVal: any): void;
    onPropertyChange(key: string, nv: any, ov?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateComponent, [null, null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateComponent, "[wmDate]", never, {}, {}, never, never, false, never>;
}
